require 'httparty'
require 'pry'

require_relative 'models/league'
require_relative 'dota_leagues_api_client'

module DotaLeaguesApi
  DOTALEAGUESAPICLIENT = DotaLeaguesApiClient.new

  def self.leagues
    leagues = DOTALEAGUESAPICLIENT.call
    leagues.map { |league| League.new(league) }
  end
end
