module DotaLeaguesApi
  class DotaLeaguesApiClient

    URL = 'https://dota-leagues.27n.gg/leagues?offset=0&limit=100'

    def call
      leagues = get_dota_leagues_api

      if leagues.headers['x-ratelimit-remaining'].to_i < 0
        sleep leagues.headers['x-ratelimit-reset'].to_i
        call
      else
        leagues['results']
      end
    end

    def get_dota_leagues_api
      HTTParty.get(URL)
    end
  end
end
